<?php
/**
* @package plugin Nomad
* @copyright (C) 2010-2011 RicheyWeb - www.richeyweb.com
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
* Nomad Copyright (c) 2011 Michael Richey.
* Nomad is licensed under the http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
*
* Nomad version 1.0 for Joomla 1.6.x devloped by RicheyWeb
*
*/

defined('_JEXEC') or die;

jimport('joomla.form.formfield');

class JFormFieldJavascript extends JFormField
{
	protected $type = 'Javascript';

	protected function getInput()
	{
                jimport('joomla.version');
                $version = new JVersion;
                $shortversion = explode('.',$version->getShortVersion());
                $options['version']=$shortversion[0].'.'.$shortversion[1];
                foreach(array('DUPLICATE_TYPE','DUPLICATE_TYPE_SELECTOR','REDIRECTS_TO') as $string) 
                    JText::script('PLG_SYS_NOMAD_'.$string);
                JHtml::_('behavior.framework',true);
		$doc = &JFactory::getDocument();
                $doc->addScriptDeclaration("\n".'window.plg_sys_nomad_config = '.json_encode($options).';'."\n");
                $doc->addScript(JURI::root(true).'/media/plg_system_nomad/base64.js');
                $doc->addScript(JURI::root(true).'/media/plg_system_nomad/admin.js');
		return;
	}
}
